Name:           perl-File-Sync
Version:        0.11
Release:        20
Summary:        Perl access to fsync() and sync() function calls
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-Sync
Source0:        https://cpan.metacpan.org/authors/id/B/BR/BRIANSKI/File-Sync-%{version}.tar.gz
Patch0:         File-Sync-UTF8.patch

BuildRequires:  findutils gcc make perl-devel perl-generators perl-interpreter
BuildRequires:  perl(Config) perl(ExtUtils::MakeMaker) perl(Getopt::Long)
BuildRequires:  perl(AutoLoader) perl(Carp) perl(DynaLoader) perl(Exporter)
BuildRequires:  perl(strict) perl(Symbol) perl(vars) perl(FileHandle) perl(POSIX)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
The fsync() function takes a Perl file handle as its only argument, and
passes its fileno() to the C function fsync(). It returns undef on failure,
or true on success.

%package_help

%prep
%autosetup -n File-Sync-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/File/
%{perl_vendorarch}/File/

%files help
%{_mandir}/man3/File::Sync.3pm*

%changelog
* Wed Mar 4 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.11-20
- Package init
